#!/usr/bin/env python3
import os

GLANCES_ARGS = {
    "process_short_name": False,
    "webserver": True,
    "port": 61208,
    "time": 5
}

MY_DIR = os.path.dirname(os.path.abspath(__file__))
GLANCES_DIR = os.path.join(MY_DIR)

def main():
    import glances

    core = glances.GlancesMain()
    config = core.get_config()
    args = core.get_args()

    for key, value in GLANCES_ARGS.items():
        setattr(args, key, value)
    
    glances.core = core
    glances.start(config=config, args=args)

main()